Skip to content

Get WHUF total supply

GET
/whuffies/total-supply
curl --request GET \
--url 'https://api.ethos.network/api/v2/whuffies/total-supply?format=plain'

Every WHUF in existence, as an exact decimal token amount. Add ?format=plain for the bare number as text/plain. The formula is published at https://whitepaper.ethos.network.

format
string
Allowed values: plain

Successful response

Media typeapplication/json
object
result
required
string

Example generated

{
"result": "example"
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}